Subject: Re: [PATCH] sky2: avoid using uninitialized variable

From: Ben Hutchings <[email-masked]>
Date: Fri, 17 Jun 2011 04:51:35 +0100

On Thu, 2011-06-16 at 23:10 -0400, David Miller wrote:
> From: Stephen Hemminger <[email-masked]>
> Date: Tue, 14 Jun 2011 00:02:30 -0400
> 
> > In my experience if phy reads once successfully, it is going
> > to read every time. If there is a problem it only happens on
> > the first access (powered off, bad timing, etc).
> 
> It also happens when the PHY can't get a response for a certain
> register, for whatever reason, before internal hw timeouts trigger.
> 
> Please, check all MII accesses.  That's what I do in every driver
> I've written.

It doesn't help that the mii_if_info operations are defined to never
return errors.  This doesn't prevent drivers from doing so internally,
but it does set a bad example.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.